{% if page.comments %}
<section class="comments">
    <h3>Comments</h3>
    <div id="disqus_thread"></div>
    <noscript>
        Please enable JavaScript to view the 
        <a href="https://disqus.com/?ref_noscript" rel="nofollow">
            comments powered by Disqus.
        </a>
    </noscript>
</section>

<script>
    var disqus_loaded = false;

    var disqus_config = function () {
        /*this.page.url = {{ page.url | jsonify }};*/
        this.page.url = document.querySelector('link[rel="canonical"]').getAttribute('href');
        this.page.identifier = {{ page.id | jsonify }};
        this.page.title = {{ page.title | jsonify }};
    };

    function load_disqus() {
        disqus_loaded = true;
        var d = document, s = d.createElement('script');
        s.async = true;
        s.src = '//' + {{ site.disqus_shortname | jsonify }} + '.disqus.com/embed.js';
        s.setAttribute('data-timestamp', +new Date());
        (d.head || d.body).appendChild(s);
    };

    window.onscroll = function(e) {
        if ((window.innerHeight + window.scrollY) >= (document.body.offsetHeight - 800)) {
            /* hit bottom of page */
            if (disqus_loaded === false)
                load_disqus()
        }
    };
</script>
{% endif %}
